Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.crystals.dilithium
Class DilithiumPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumKeyParameters
              org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class DilithiumPrivateKeyParameters
extends DilithiumKeyParameters

Constructor Summary
`DilithiumPrivateKeyParameters(DilithiumParameters params, byte[] rho, byte[] K, byte[] tr, byte[] s1, byte[] s2, byte[] t0, byte[] t1)`
`DilithiumPrivateKeyParameters(DilithiumParameters params, byte[] encoding, DilithiumPublicKeyParameters pubKey)`

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getK()`
`byte[]` | `getPrivateKey()` Deprecated. Use `getEncoded()` instead.
`byte[]` | `getPublicKey()`
`DilithiumPublicKeyParameters` | `getPublicKeyParameters()`
`byte[]` | `getRho()`
`byte[]` | `getS1()`
`byte[]` | `getS2()`
`byte[]` | `getT0()`
`byte[]` | `getT1()`
`byte[]` | `getTr()`

Methods inherited from class org.bouncycastle.pqc.crypto.crystals.dilithium.DilithiumKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DilithiumPrivateKeyParameters

    public DilithiumPrivateKeyParameters(DilithiumParameters params,
                                         byte[] rho,
                                         byte[] K,
                                         byte[] tr,
                                         byte[] s1,
                                         byte[] s2,
                                         byte[] t0,
                                         byte[] t1)

### DilithiumPrivateKeyParameters

    public DilithiumPrivateKeyParameters(DilithiumParameters params,
                                         byte[] encoding,
                                         DilithiumPublicKeyParameters pubKey)

Method Detail

### getEncoded

    public byte[] getEncoded()

### getK

    public byte[] getK()

### getPrivateKey

    public byte[] getPrivateKey()

  Deprecated. Use `getEncoded()` instead.

### getPublicKey

    public byte[] getPublicKey()

### getPublicKeyParameters

    public DilithiumPublicKeyParameters getPublicKeyParameters()

### getRho

    public byte[] getRho()

### getS1

    public byte[] getS1()

### getS2

    public byte[] getS2()

### getT0

    public byte[] getT0()

### getT1

    public byte[] getT1()

### getTr

    public byte[] getTr()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD